%define name    gcstar
%define version 0.3
%define release %mkrel 3
%define iconname %{name}.png

%define section  More Applications/Databases
%define title   Gcfilms

Summary:    A collection manager 
Name:       %{name}
Version:    %{version}
Release:    %{release}
License:    GPL
Group:      Databases
URL:        https://gna.org/projects/gcstar/
Source:     %{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-root
Requires:   gtk2
BuildArch:  noarch 

%description
Gstar is an application that can manage multiple collections.
An expansion on gcfilms this is an alpha release but will be developed
as it's successor.
Currently Gstar only supports films.

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n %{name}
 
%build

# this doesn't work..
#./install --text --prefix=$RPM_BUILD_ROOT/usr 

%{__mkdir_p} %{buildroot}%{_prefix}
%{__install} -d %{buildroot}%{_bindir}
%{__install} bin/gcstar %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_libdir}
%{__cp} -a lib/gcstar %{buildroot}%{_libdir}
%{__install} -d %{buildroot}%{_datadir}
%{__cp} -a share/* %{buildroot}%{_datadir} 


mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
%{__cp} share/gcstar/icons/%{name}_48x48.png %{buildroot}%{_liconsdir}/%{iconname}
%{__cp} share/gcstar/icons/%{name}_32x32.png %{buildroot}%{_iconsdir}/%{iconname} 
%{__cp} share/gcstar/icons/%{name}_16x16.png %{buildroot}%{_miconsdir}/%{iconname} 
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
    command="%{name}" \
    icon="%{iconname}" \
    title="%{title}" \
    longtitle="Gcstar collection manager" \
    needs="x11" \
    section="%section" \
        xdg="true"
EOF

desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="GTK" \
--add-category="Database" \
--add-category="X-MandrivaLinux-MoreApplications-Databases" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root) 
%doc README CHANGELOG
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 


%changelog
* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 16:57:30 (53555)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 16:54:35 (53551)
Import gcstar

* Sat Jul 29 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3-2mdv2007.0
- Synce binary and src.rpm

* Fri Jul 28 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3-1mdv2007.0
- 0.3
- xdg

* Mon May 29 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1-1mdv2007.0
- initial release 

